compat: do not include kstrto* for kernel >= 2.6.38.4